{
	"compilerOptions": {
		// Enable top-level await, and other modern ESM features
		"target": "ESNext",
		"module": "NodeNext",
		// Enable node-style module resolution, for things like npm package imports
		"moduleResolution": "NodeNext",
		// Enable JSON imports
		"resolveJsonModule": true,
		// Enable stricter transpilation for better output
		"isolatedModules": true,
		// Astro directly run TypeScript code, no transpilation needed
		"noEmit": true,
		// Report an error when importing a file using a casing different from the casing on disk
		"forceConsistentCasingInFileNames": true,
		// Properly support importing CJS modules in ESM
		"esModuleInterop": true,
		// Skip typechecking libraries and .d.ts files
		"skipLibCheck": true,
		// Enable strict mode
		"strict": true,
		"baseUrl": ".",
		"paths": {
			"#lib/*": ["./src/lib/*"],
			"#components/*": ["./src/components/*"],
			"#layouts/*": ["./src/layouts/*"],
			"#modules/*": ["./src/modules/*"],
			"#client/*": ["./src/client/*"],
			"#server/*": ["./src/server/*"],
			"#style/*": ["./src/style/*"],
	
			"#footer/*": ["./src/components/design/footer/*"],
			"#header/*": ["./src/components/design/header/*"],
			"#content/*": ["./src/components/design/content/*"],
			"#sidebarCards/*": ["./src/components/design/sidebars/cards/*"],
			"#sidebarLeft/*": ["./src/components/design/sidebars/left/*"],
			"#sidebarRight/*": ["./src/components/design/sidebars/right/*"],

			"#ausweise/*": ["./src/pages/energieausweis-erstellen/*"],
		},
		"types": ["cypress", "cypress-file-upload", "bun-types", "svelte"]
	}
}
